/**
 *
 * AngularJS Custom Boilerplate
 * @description           Description
 * @author                Sonia Benitez
 * @url                   http://neithar-aradia.com/
 * @version               1.0.0
 * @date                  December 2016
 * @license               MIT
 *
 */
;(function() {


    /**
     * Definition of the main app module and its dependencies
     */
    angular
        .module('customBoilerplate')
        .config(config);

    // safe dependency injection
    // this prevents minification issues
    // config.$inject = ['$routeProvider', '$locationProvider', '$httpProvider', '$compileProvider'];

    /**
     * App routing
     *
     * You can leave it here in the config section or take it out
     * into separate file
     *
     */
    // function config($routeProvider, $locationProvider, $httpProvider, $compileProvider) {
    //
    //     $locationProvider.html5Mode(false);
    //
    //     // routes
    //     $routeProvider
    //         .when('/', {
    //             templateUrl: 'views/home.html',
    //             controller: 'MainController',
    //             controllerAs: 'main'
    //         })
    //         .otherwise({
    //             redirectTo: '/'
    //         });
    //
    //     $httpProvider.interceptors.push('authInterceptor');
    //
    // }


    /**
     * You can intercept any request or response inside authInterceptor
     * or handle what should happend on 40x, 50x errors
     *
     */

    /**
     * Run block
     */
    angular
        .module('customBoilerplate')
        .run(run);

    run.$inject = ['$rootScope', '$location'];

    function run($rootScope, $location) {

        // put here everything that you need to run on page load

    }


})();